c     program     :     DEF_CMORPH1.0CRT_CLIM_GLB_step_04_generate_output.lnx.f
c     objective   :     to generate output daily files   
c 
      parameter  ( nx = 1440, ny = 480 )
      character   cdate*8, cfile10*55, cfile50*61   
c
      dimension   rain (nx,ny)  
      dimension   nday (12)
      data        nday  /  31,  29,  31,  30,  31,  30,
     #                     31,  31,  30,  31,  30,  31/
c
c     1.  to open files
c
      write  (6,*)  'started  defining BLD daily climatology !!' 
c
      cfile10 ( 1: 7) = '../rslt'
      cfile10 ( 8:37) = '/CMORPH1.0CRT_CLIM_DLY_0.25deg'
      cfile10 (38:55) = '_1998-2017_366.lnx'

c
      open  (unit=10,
     #       file=cfile10,
     #       access='direct', recl=nx*ny*4)
      write  (6,*)  '     finished openning files !!' 
c
c     2.  to generate daily output    
c
      kday = 0  
c 
      do 2999 kmm = 1, 12 
      do 2999 kdd = 1, nday (kmm) 
c
c       2.1  to read in data    
c
        kday = kday + 1 
        kinp = kday  
        read  (10,rec=kinp)   rain   
c
c       2.2  to output to daily files 
c 
        kyy = 2000 
        kdate = kyy*2000 + kmm*100 + kdd 
        write  (cdate,2951)  kdate 
 2951   format  (i8) 
        cfile50 ( 1:37) = '../../CMORPH_V1.0_CRT_0.25deg-DLY_00Z' 
        cfile50 (38:61) = '_CLIM_1998-2017.lnx.xxxx' 
        cfile50 (58:61) = cdate (5:8) 
c
        open  (unit=50,
     #         file=cfile50,
     #         access='direct', recl=nx*ny*4)
c 
        write  (50,rec=1)  rain 
c 
        close  (unit=50)
c 
        write  (6,*)  'finished for :', kday,kmm,kdd, rain (480,360)  
c 
 2999 continue  
c
      write  (6,*)  'finished defining BLD daily climatology !!' 
c 
c 
      stop 
      end  
